INiNodeAllocator Class Referenceabstract

`#include <IXnNodeAllocator.h>`

Inheritance diagram for INiNodeAllocator:
[legend]

## Public Member Functions

virtual | ~INiNodeAllocator ()
virtual XnNode * | Allocate ()=0
virtual void | Deallocate (XnNode *pNode)=0

## Detailed Description

Node Allocator - general interface for node allocation and deallocation.

## Constructor & Destructor Documentation

## ~INiNodeAllocator()

virtual INiNodeAllocator::~INiNodeAllocator | ( |  | ) |

inline virtual

## Member Function Documentation

## Allocate()

virtual XnNode * INiNodeAllocator::Allocate | ( |  | ) |

pure virtual

Allocate a new XnNode

Returns
  NULL if allocating a new node failed

Implemented in XnNodeAllocator.

## Deallocate()

virtual void INiNodeAllocator::Deallocate | ( | XnNode * | pNode | ) |

pure virtual

Release an XnNode

Parameters

  pNode | [in] The node to deallocate

Implemented in XnNodeAllocator.

The documentation for this class was generated from the following file:

- IXnNodeAllocator.h